Personal tools
You are here: Home Forum Use Can't create mesh of a Boolean Cut object

Can't create mesh of a Boolean Cut object

Up to Use
  • Can't create mesh of a Boolean Cut object

    Posted by N Marais at May 19. 2007
    Hi,

    I'm using Salome 3.2.6 and quite new to it. I installed it using the Debian binaries on an Ubuntu 7.04 system.

    I built two concentric cylinders in the geometry module, then used the boolean cut operation to create a coaxial structure. However in the mesh module I can't mesh the Cut object. I can mesh the individual cylinder objects with no trouble but if I create a mesh it simply won't allow me to select the cut object. Is there something I'm missing?


    Thanks
    Neilen
    • Re: Can't create mesh of a Boolean Cut object

      Posted by Grigory Zhivotovsky at May 21. 2007

      Hi Neilen,

      I use your scenario and build mesh without problems. You can see what I do using

      Start SALOME

      Load Smesh module

      File - Load attached script

      Regards,

      Grigory  

      import geompy
      import salome, SMESH
      import smesh
      Cylinder_1 = geompy.MakeCylinderRH(100, 300)
      Cylinder_2 = geompy.MakeCylinderRH(200, 300)
      Cut_1 = geompy.MakeCut(Cylinder_2, Cylinder_1)
      geompy.addToStudy( Cylinder_1, "Cylinder_1" )
      geompy.addToStudy( Cylinder_2, "Cylinder_2" )
      geompy.addToStudy( Cut_1, "Cut_1" )
      Mesh_1 = smesh.Mesh(Cut_1)
      Wire_discretisation = Mesh_1.Segment()
      Average_length = Wire_discretisation.LocalLength(20)
      Triangle_Mefisto = Mesh_1.Triangle()
      Length_From_Edges_2D_Hyp_for_Triangulator = Triangle_Mefisto.LengthFromEdges()
      Tetrahedron_Netgen = Mesh_1.Tetrahedron(algo=smesh.NETGEN)
      Max_Element_Volume = Tetrahedron_Netgen.MaxElementVolume(100)
      isDone = Mesh_1.Compute()
      if not isDone: print 'Mesh', Mesh_1.GetMesh(), ': computation failed'

      • Re: Can't create mesh of a Boolean Cut object

        Posted by N Marais at May 21. 2007

        Grigory Zhivotovsky
        wrote:
        p>

        I use your scenario and build mesh without problems.


        Hi Grigory,

        Thanks for the script, it works here too. I tried to build it through the GUI last time. I'm not sure why it did not work, I'll investigate and report back later.

        Thanks
        Neilen
        Powered by Ploneboard
        Document Actions
        > <p>Hi Neilen,<